# class ItemDeleteJob

###

Module | akonadi
Namespace | Akonadi
Class | ItemDeleteJob
Inherits | Akonadi::Job

Job that deletes an item from the Akonadi storage.

This job removes the given item from the Akonadi storage.

Example:

    Akonadi.Item item = ...

    ItemDeleteJob *job = new ItemDeleteJob( item );

    if ( job->exec() )
    qDebug() << "Item deleted successfully";
    else
    qDebug() << "Error occurred";

Author Volker Krause <vkrause@kde.org>

### methods

- ItemDeleteJob (item, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  item | Akonadi.Item |
  parent | QObject | 0

  Creates a new item delete job.

  item - The item to delete.

  parent - The parent object.

- doStart ( )

  returns Nothing